classification
Title: Skip sending/receiving after SSL transport closing
Type: Stage: resolved
Components: asyncio, Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, yselivanov
Priority: normal Keywords: patch

Created on 2018-03-09 21:00 by asvetlov, last changed 2018-05-21 08:58 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6044 merged asvetlov, 2018-03-09 21:03
PR 6057 merged miss-islington, 2018-03-10 15:49
PR 6058 merged asvetlov, 2018-03-10 15:58
Messages (4)
msg313505 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-03-09 21:00
Now asyncio raises exceptions like "None type has no method feed_appdata" because self._sslpipe is set to None on closing.


See https://github.com/aio-libs/aiohttp/issues/2546 for more details.

IMHO the fix should just skip accessing self._sslpipe methods if the pipe was deleted.
msg313535 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-03-10 15:48
New changeset 5e80a71ab67045fecec46573a1892e240b569ace by Andrew Svetlov in branch 'master':
bpo-33037: Skip sending/receiving after SSL transport closing (GH-6044)
https://github.com/python/cpython/commit/5e80a71ab67045fecec46573a1892e240b569ace
msg313541 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-03-10 16:27
New changeset bf0d1165174e8347b4d3a731c4e47e8288f1d01b by Andrew Svetlov (Miss Islington (bot)) in branch '3.7':
bpo-33037: Skip sending/receiving after SSL transport closing (GH-6044) (GH-6057)
https://github.com/python/cpython/commit/bf0d1165174e8347b4d3a731c4e47e8288f1d01b
msg313547 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-03-10 17:09
New changeset 017e9fda922a143ac9f1601cbde05e80214852d2 by Andrew Svetlov in branch '3.6':
[3.6] bpo-33037: Skip sending/receiving after SSL transport closing (GH-6044) (GH-6058)
https://github.com/python/cpython/commit/017e9fda922a143ac9f1601cbde05e80214852d2
History
Date User Action Args
2018-05-21 08:58:09asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-03-23 20:30:58ned.deilylinkissue33093 superseder
2018-03-10 17:09:09asvetlovsetmessages: + msg313547
2018-03-10 16:27:03asvetlovsetmessages: + msg313541
2018-03-10 15:58:39asvetlovsetpull_requests: + pull_request5820
2018-03-10 15:49:44miss-islingtonsetpull_requests: + pull_request5819
2018-03-10 15:48:37asvetlovsetmessages: + msg313535
2018-03-09 21:03:42asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5805
2018-03-09 21:00:42asvetlovcreate